[Index][Class hierarchy] | (#rtl)

# Class hierarchy

- TObject (System)
  - Exception
    - EHeapMemoryError
      - EInvalidPointer
  - Exception
    - EListError
  - Exception
    - EStreamError
      - EFilerError
        - EClassNotFound
  - Exception
    - EStreamError
      - EFilerError
        - EMethodNotFound
  - Exception
    - EPropertyError
  - Exception
    - EPropReadOnly
  - Exception
    - EBitsError
  - Exception
  - Exception
    - EParserError
  - Exception
    - EComponentError
  - Exception
    - EStreamError
      - EFCreateError
  - Exception
    - EStringListError
  - Exception
    - EArgumentException
      - EArgumentOutOfRangeException
  - Exception
    - EInOutError
  - Exception
    - EAbort
  - Exception
    - EExternal
  - Exception
    - EExternal
      - EMathError
        - EOverflow
  - Exception
    - EAbstractError
  - Exception
    - ENoThreadSupport
  - Exception
    - EExternal
      - EStackOverflow
  - Exception
    - EThread
  - Exception
    - EExternal
      - EPrivilege
  - Exception
    - EInvalidOperation
  - Exception
    - EThread
      - EThreadDestroyCalled
  - Exception
    - EExternal
      - EInterror
  - Exception
    - EExternal
      - EMathError
        - EInvalidOp
  - Exception
    - EAssertionFailed
  - Exception
    - EStreamError
      - EFilerError
        - EReadError
  - Exception
    - EPackageError
  - Exception
    - EResNotFound
  - Exception
    - EInvalidInsert
  - Exception
    - EHeapMemoryError
      - EOutOfMemory
        - EOutOfResources
  - Exception
    - EExternal
      - EControlC
  - Exception
    - ENotImplemented
  - Exception
    - EStreamError
      - EFOpenError
  - Exception
    - EExternal
      - EMathError
        - EInvalidArgument
  - Exception
    - EObserver
  - Exception
    - EExternal
      - EMathError
  - Exception
    - EPropWriteOnly
  - Exception
    - EInvalidContainer
  - Exception
    - EPropertyConvertError
  - Exception
    - EExternal
      - EExternalException
  - Exception
    - EArgumentException
  - Exception
    - EIntfCastError
  - Exception
    - EHeapMemoryError
  - Exception
    - EExternal
      - EAccessViolation
        - EBusError
  - Exception
    - EExternal
      - EInterror
        - EDivByZero
  - Exception
    - EFormatError
  - Exception
    - EExternal
      - EInterror
        - EIntOverflow
  - Exception
    - EInvalidCast
  - Exception
    - EExternal
      - EInterror
        - ERangeError
  - Exception
    - EStreamError
  - Exception
    - EVariantError
  - Exception
    - EStreamError
      - EFilerError
        - EInvalidImage
  - Exception
    - EOSError
  - Exception
    - ESafecallException
  - Exception
    - EStreamError
      - EFilerError
  - Exception
    - EExternal
      - EMathError
        - EZeroDivide
  - Exception
    - EHeapMemoryError
      - EOutOfMemory
  - Exception
    - EConvertError
  - Exception
    - EExternal
      - EMathError
        - EUnderflow
  - Exception
    - ENoWideStringSupport
  - Exception
    - EStreamError
      - EFilerError
        - EWriteError
  - Exception
    - EExternal
      - EAccessViolation
  - TAbstractObjectReader
  - TAbstractObjectReader
    - TBinaryObjectReader
  - TAbstractObjectWriter
  - TAbstractObjectWriter
    - TBinaryObjectWriter
  - TAbstractObjectWriter
    - TTextObjectWriter
  - TAggregatedObject
  - TAggregatedObject
    - TContainedObject
  - TBasicActionLink
  - TBits
  - TCollectionEnumerator
  - TComponentEnumerator
  - TFiler
  - TFiler
    - TReader
  - TFiler
    - TWriter
  - TFPList
  - TFPListEnumerator
  - TInterfacedObject
    - TInterfaceList
  - TInterfacedObject
  - TInterfacedObject
    - TStreamAdapter
  - TInterfacedObject
    - TSimpleRWSync
  - TInterfacedObject
    - TMultiReadExclusiveWriteSynchronizer
  - TInterfaceListEnumerator
  - TList
  - TListEnumerator
  - TParser
  - TPersistent
    - TComponent
      - TDataModule
  - TPersistent
    - TCollection
  - TPersistent
    - TCollectionItem
  - TPersistent
    - TInterfacedPersistent
  - TPersistent
  - TPersistent
    - TStrings
      - TStringList
  - TPersistent
    - TCollection
      - TOwnedCollection
  - TPersistent
    - TStrings
  - TPersistent
    - TComponent
      - TBasicAction
  - TPersistent
    - TComponent
  - tport
  - tportl
  - tportw
  - TRecall
  - TStream
    - TCustomMemoryStream
      - TMemoryStream
  - TStream
    - TCustomMemoryStream
  - TStream
    - THandleStream
      - TFileStream
  - TStream
    - TOwnerStream
  - TStream
    - TCustomMemoryStream
      - TResourceStream
  - TStream
    - TProxyStream
  - TStream
  - TStream
    - TCustomMemoryStream
      - TMemoryStream
        - TBytesStream
  - TStream
    - THandleStream
  - TStream
    - TStringStream
  - TStringsEnumerator
  - TThread
  - TThreadList

Documentation generated on: Feb 26 2014